Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice.jdbc
Class DistributedStoreQuery

    java.lang.Object
      org.apache.openjpa.kernel.AbstractStoreQuery
          org.apache.openjpa.kernel.ExpressionStoreQuery
              org.apache.openjpa.jdbc.kernel.JDBCStoreQuery
                  org.apache.openjpa.slice.jdbc.DistributedStoreQuery

All Implemented Interfaces:
  Serializable, QueryOperations, StoreQuery

     class DistributedStoreQuery

extends JDBCStoreQuery

A query for distributed databases.

Author:
  Pinaki Poddar

Nested Class Summary
`(package private) static class` | `DistributedStoreQuery.DeleteExecutor`
`static class` | `DistributedStoreQuery.ParallelExecutor` Executes queries on multiple databases.
`(package private) static class` | `DistributedStoreQuery.QueryExecutor`
`(package private) static class` | `DistributedStoreQuery.UpdateExecutor`

Nested classes/interfaces inherited from class org.apache.openjpa.kernel.ExpressionStoreQuery
`ExpressionStoreQuery.AbstractExpressionExecutor, ExpressionStoreQuery.DataStoreExecutor, ExpressionStoreQuery.InMemoryExecutor`

Nested classes/interfaces inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`AbstractStoreQuery.AbstractExecutor`

Nested classes/interfaces inherited from interface org.apache.openjpa.kernel.StoreQuery
`StoreQuery.Executor, StoreQuery.Range`

Field Summary

Fields inherited from class org.apache.openjpa.kernel.ExpressionStoreQuery
`_parsed`

Fields inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`ctx`

Fields inherited from interface org.apache.openjpa.kernel.StoreQuery
`EMPTY_BOOLEANS, EMPTY_CLASSES, EMPTY_METAS, EMPTY_OBJECTS, EMPTY_ORDERED_PARAMS, EMPTY_PARAMS, EMPTY_STRINGS`

Fields inherited from interface org.apache.openjpa.kernel.QueryOperations
`OP_DELETE, OP_SELECT, OP_UPDATE`

Constructor Summary
`DistributedStoreQuery(JDBCStore store, ExpressionParser parser)`

Method Summary
`(package private) void` | `add(StoreQuery q)`
`DistributedJDBCStoreManager` | `getDistributedStore()`
`StoreQuery.Executor` | `newDataStoreExecutor(ClassMetaData meta, boolean subs)` Return an executor for datastore execution of this query.
`void` | `setContext(QueryContext ctx)` Set the current query context.

Methods inherited from class org.apache.openjpa.jdbc.kernel.JDBCStoreQuery
`evaluate, executeDelete, executeQuery, executeUpdate, executeUpdate, executeUpdate, getDataStoreActions, getExpressionFactory, getFilterListener, getIndependentExpressionCandidates, getStore, getThreadLocalContext, getThreadLocalContext, getThreadLocalContext, getThreadLocalSelect, newCompilationKey, prepareStatement, supportsDataStoreExecution`

Methods inherited from class org.apache.openjpa.kernel.ExpressionStoreQuery
`getCompilation, getResolver, invalidateCompilation, newCompilation, newInMemoryExecutor, populateFromCompilation, setQuery, supportsInMemoryExecution`

Methods inherited from class org.apache.openjpa.kernel.AbstractStoreQuery
`getAggregateListener, getContext, requiresCandidateType, requiresParameterDeclarations, supportsAbstractExecutors, supportsParameterDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedStoreQuery

    public DistributedStoreQuery(JDBCStore store,
                                 ExpressionParser parser)

Method Detail

### add

    void add(StoreQuery q)

### getDistributedStore

    public DistributedJDBCStoreManager getDistributedStore()

### newDataStoreExecutor

    public StoreQuery.Executor newDataStoreExecutor(ClassMetaData meta,
                                                    boolean subs)

  Description copied from interface: `StoreQuery`
  Return an executor for datastore execution of this query. Executors must be cachable and thread safe. If this class returns true from `StoreQuery.supportsAbstractExecutors()`, the given metadata will always be for the candidate class of this query, or possibly null if the candidate class is not itself persistence capable (like an interface or abstract base class). Otherwise, the given type will be a mapped class.

  Specified by:
    `newDataStoreExecutor` in interface `StoreQuery`
  Overrides:
    `newDataStoreExecutor` in class `ExpressionStoreQuery`
    `subs` - whether to include dependent mapped subclasses in the results; independent subclasses should never be included

### setContext

    public void setContext(QueryContext ctx)

  Description copied from interface: `StoreQuery`
  Set the current query context. This will be called before use.

  Specified by:
    `setContext` in interface `StoreQuery`
  Overrides:
    `setContext` in class `AbstractStoreQuery`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.